
QGIS Application - Bug report #16459

MapTips prevent zooming by appearing directly under the cursor instead of beneath it

2017-04-21 06:46 AM - Georg Wicke

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.18.5 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 24368

Description

Usually, ToolTips don't appear under your mouse cursor, but slightly below it. This prevents the user from interacting with the tooltip when

he just wants to interact with the underlying interface.

However, this is not the case for MapTips - they are spawning directly under the mouse cursor. This means that if the user zooms in while

a layer with MapTips is active, he will be unable to zoom any further as soon as the MapTip appears, i. e. he only has a window of 1

second to zoom. After this, he has to move the mouse to zoom further, which makes working with MapTips annoying.

A possible soloution would be to reset the Hover timer if the user zooms, or to display the MapTip slightly below the mouse cursor (1 px

would be enough).

History

#1 - 2017-05-01 01:01 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2017-09-22 09:53 AM - Jürgen Fischer

- Category set to Unknown

#3 - 2019-03-09 03:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.
You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
